Streamable (Tomcat API Documentation)
Keywords: org.apache.catalina.tribes.tipis.Streamable interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.tribes.tipis
Interface Streamable

    public interface Streamable

Example usage: ``

     byte[] data = new byte[1024];
     Streamable st = ....;
     while ( !st.eof() ) {
       int length = st.read(data,0,data.length);
       String s = new String(data,0,length);
       System.out.println(s);
     }

Version:
  1.0
Author:
  Filip Hanik

Method Summary
`boolean` | `eof()` returns true if the stream has reached its end
`int` | `read(byte[] data, int offset, int length)` read data into the byte array starting at offset
`int` | `write(byte[] data, int offset, int length)` write data into the byte array starting at offset, maximum bytes read are (data.length-offset)

Method Detail

### eof

    boolean eof()

  returns true if the stream has reached its end

  Returns:
    boolean

### write

    int write(byte[] data,
              int offset,
              int length)
              throws java.io.IOException

  write data into the byte array starting at offset, maximum bytes read are (data.length-offset)

  Parameters:
    `data` - byte[] - the array to read data into
    `offset` - int - start position for writing data
  Returns:
    int - the number of bytes written into the data buffer
  Throws:
    `java.io.IOException`

### read

    int read(byte[] data,
             int offset,
             int length)
             throws java.io.IOException

  read data into the byte array starting at offset

  Parameters:
    `data` - byte[] - the array to read data into
    `offset` - int - start position for writing data
    `length` - - the desired read length
  Returns:
    int - the number of bytes read from the data buffer
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.